<template>
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <hr>
            </div>
        </div>
        <div class="row" style="height: 300px;">
            <div class="col-sm-12" style="height: 100%;">
                <textarea class="form-control" style="box-sizing: border-box; height: 100%; overflow-y: scroll; resize: none; background-color: rgb(238, 238, 238); border: 1px solid rgb(200, 200, 200); border-radius: 3px;" readonly>{{messages.join('\n')}}</textarea>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <hr>
                <input type="text" class="form-control" v-model="textMessage" @keyup.enter="sendMessage" autofocus>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                messages: [],
                textMessage: '',
            }
        },
        mounted() {
            window.Echo.channel('chat').listen('Message', ({message}) => {
                this.messages.push(message.body);
            });
        },
        methods: {
            sendMessage() {
                axios.post('/api/messages/public', {body: this.textMessage});
                this.messages.push(this.textMessage);
                this.textMessage = '';
            },
        },
    }
</script>
